:root {
    --primary: #007bff;
    --border: solid 1px #ddd;
}

.ui-tabs-vertical {
    width: 100%;
}

.ui-tabs-vertical .ui-tabs-nav {
    padding: .2em .1em .2em .2em;
    float: left;
    width: 10%;
}

.ui-tabs-vertical .ui-tabs-nav li {
    clear: left;
    width: 100%;
    border-bottom-width: 1px !important;
    border-right-width: 0 !important;
    margin: 0 -1px .2em 0;
}

.ui-tabs-vertical .ui-tabs-nav li a {
    display: block;
}

.ui-tabs-vertical .ui-tabs-nav li.ui-tabs-active {
    padding-bottom: 0;
    padding-right: .1em;
    border-right-width: 1px;
}

.ui-tabs-vertical .ui-tabs-panel {
    padding: 1em;
    float: left;
    width: 85%;
}

.tab-content {
    width: 99%;
}

h1, .h1 {
    font-size: 30px;
}

h2, .h2 {
    font-size: 25px;
    margin-left: 10px;
}

h3, .h3 {
    font-size: 20px;
    font-weight: bold;
    margin-left: 10px;
}

h4, .h4 {
    font-size: 15px;
}

#tabtitles li:nth-of-type(5) {
    border-left: var(--border);
    padding-left: 30px;
}


.table {
    margin: 20px;
    max-width: 97%;
    width: unset;
}

.summary-table {
    width: 97%;
}

.freeze-header thead {
    position: sticky;
    top: -1px;
}

.table-even td {
    width: 20%;
}

.table-sm th, .table-sm td {
    padding: 0.3rem 0.7rem !important;
    vertical-align: top;
}

.table-first-left td:nth-child(1) {
    text-align: left;
    width: 22%;
    cursor: pointer;
}

.table-first-left td {
    width: 8%;
}

.sensortable {
    width: 100%;
}

.font-weight-bold {
    font-weight: bold;
}

.fst-italic {
    font-style: italic !important
}

.fa-solid {
    padding: 2px;
}

.alert {
    width: 1000px;
    position: absolute;
    top: 76px;
    left: calc(50% - 500px);
    border: var(--border);
    z-index: 10000;
    display: none;
    border-radius: unset;
}

.alert > p {
    padding: 10px;
}

#PopUpMessage {
    font-size: 130%;
}

#confirmationModal {
    background-color: white;
}

#confirmationModal p {
    font-size: 13px;
}

#background {
    height: 100%;
    width: 100%;
    background-color: rgba(10, 10, 10, 0.6);
    position: absolute;
    top: 0;
    left: 0;
    display: none;
}

.top-right {
    position: absolute;
    top: 10px;
    right: 10px;
}

.padding-20 {
    padding: 20px;
}

.display-inline {
    display: inline !important;
}

.logo {
    height: 80px;
}

.text-large {
    font-size: medium;
    text-align: center;
}

.button {
    padding: 5px 10px;
    border: none;
    font-size: 12px;
}

.button-primary {
    background-color: var(--primary);
    color: white;

}

.current-status {
    padding: 10px;
    margin: 20px;
    border: var(--border);
    width: 97%;
}

/* #rainfall {
    min-width: 600px;
    min-height: 400px;
    max-width: 1600px;
    max-height: 600px;
    height: 50%;
    width: 97%;
} */

#keyContacts {
    padding: 30px 10px;
}

#keyContacts p {
    font-size: larger;
}

#ShowNotifications {
    cursor: pointer;
}

.container {
    border-left: var(--border);
}

.m-10 {
    margin: 10px;
}

.m-5 {
    margin: 5px;
}

#comms {
    /*max-width: 600px*/
}

.comments {
    max-height: 500px;
    overflow-y: auto;
}

.comment {
    border: solid silver 1px;
    margin: 5px;
    padding: 5px;
    border-radius: 5px;
    color: #898989;
    display: inline-block;
    width: 97%;
}

.comment.active {
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
}

.comment.sent {
    color: #004085;
    background-color: #cce5ff;
    border-color: #b8daff;
    width: 90%;
    display: block;
    float:right;
}
.comment.received {
    color: #003f00;
    background-color: #c8ffca;
    border-color: #def6de;
    width: 90%;
    display: block;
    float:left;
}

.comment-title {
    font-weight: bold;
    display: block;
}

.comment-time, .comment-name {
    font-style: italic;
    display: block;
}

.comment-body {
    display: block;
}

#CSOSummary tbody td {
    white-space: nowrap;
}

#testingModeBanner {
    background-color: yellow;
    color: black;
    font-size: 2em;
    font-weight: bold;
    text-align: center;
    padding: 20px;
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
    box-shadow: 0 2px 5px rgba(0,0,0,0.3);
}

.tooltip-red { 
    color: red;
}

.tooltip-green { 
    color: green;
}

.spinner {
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  animation: spin 1s linear infinite;
  display: inline-block;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.custom-hover-sensor {
    display:block;
    padding: 5px;
    width: 110%;
}

@keyframes progress-bar-stripes-reverse {
  from { background-position: 0 0; }
  to { background-position: 1rem 0; }
}

.progress-bar-animated {
    animation: progress-bar-stripes-reverse 0.3s linear infinite; 
    height: 100%;}

.status-in-progress-1 { color: blue; }
.status-in-progress-2 { color: orange; }
.status-success { color: green; }
.status-unanswered { color: red; font-weight: bolder; }
.status-unknown { color: gray; }

.manual-call-btn {
    height: 100%;
    display: flex;
    align-items: center;
    background-color: red;
    color:white;
    font-weight: bold;
}